# Interface for submodule: Index
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: Index
from ._proxies import IndexProxy as _IndexProxy
class _IndexTemplateGetter():
    def __getitem__(self, parameters) -> _IndexTemplate:
        """Specify class type with:
            	[INSERT_TYPE_NAMES_HERE]
            :return: IndexTemplate
            """
        ...


class _IndexTemplate(_itkTemplate, metaclass=_IndexTemplateGetter):
    """Interface for instantiating itk::Index< INSERT_TYPE_NAMES_HERE >
        Supports type specification through dictionary access:
            'itk.Index[INSERT_TYPE_NAMES_HERE]()"""

    def __new__(cls, *args: Any) -> _IndexProxy:
        """Instantiate itk::Index< INSERT_TYPE_NAMES_HERE >"""
        ...

    def __call__(self, *args: Any) -> _IndexProxy:
        """Instantiate itk::Index< INSERT_TYPE_NAMES_HERE >"""
        ...

Index = _IndexTemplate

